Skip to main content
POST
Create a new order (for a single vendor)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_id
number
required

The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Body

application/json
purchase_order_number
string
required

Purchase order number

Minimum string length: 1
Example:

"1234-100000"

ordered_at
string<date-time>
required

Time of order finalization (UTC format)

Example:

"2017-08-01T12:00:00Z"

customer_order_number
string | null

Customer order number

Maximum string length: 64
Example:

"100000"

retailer_order_number
string

Retailer order number

Minimum string length: 1
Example:

"1225466845"

brand_identifier
string | null

Vendor identifier

Maximum string length: 64
Example:

"423432322"

retailer
object
brand
object
connection_id
integer

A numeric connection ID

Example:

10

shipping_method
object
requested_shipping_method_id
integer

ID of the requested shipping method

Example:

768

requested_shipping_method
object
bill_to
object
sold_to
object
ship_to
object
ship_from
object
return_to
object
allow_shipping_label_generation
boolean

true: Automatically generates shipping labels based on the carrier | false: Does not support generation of shipping labels

Example:

true

shipping_charged
string<decimal>

Shipped charged

Example:

"2.99"

is_gift
boolean

true: Order is a gift | false: Order is not a gift

Example:

false

gift_fee
string<decimal> | null

Gift fee (if applicable)

Example:

null

is_replacement
boolean

true: order is a replacement | false: order is not a replacement

Example:

false

currency
object
acknowledged_at
string<date-time> | null

Time of order acknowledgement (UTC format)

Example:

"2022-08-01T12:00:00Z"

fulfilled_at
string<date-time> | null

Time of order fulfillment (UTC format)

Example:

null

pickup_on
string<date> | null

Time of when order was picked up (UTC format)

Example:

null

on_hold_at
string<date-time> | null

Time of when order got placed on hold (UTC format)

Example:

null

on_hold_until
string<date> | null

Date till when the order will be on hold

Example:

null

backordered_until
string<date-time> | null

Time till when product or order is backordered (UTC format)

Example:

null

backorder_acknowledged_at
string<date-time> | null

Time of backorder acknowledgement (UTC format)

Example:

null

canceled_at
string<date-time> | null

Time of order cancellation (UTC format)

Example:

null

fill_time
string<decimal> | null

Fill time

Example:

null

signature
enum<string> | null

Represents whether signature is required

Available options:
required,
not_required,
adult
Example:

null

connection_shipping_provider_account
object
is_priority
boolean

true: Priority order | false: Not a priority order

Example:

false

priority_user
object

Response

201 - application/json

Created

purchase_order_number
string
required

Purchase order number

Minimum string length: 1
Example:

"1234-100000"

ordered_at
string<date-time>
required

Time of order finalization (UTC format)

Example:

"2017-08-01T12:00:00Z"

id
integer
read-only

Order ID

Example:

1016

customer_order_number
string | null

Customer order number

Maximum string length: 64
Example:

"100000"

retailer_order_number
string

Retailer order number

Minimum string length: 1
Example:

"1225466845"

brand_identifier
string | null

Vendor identifier

Maximum string length: 64
Example:

"423432322"

retailer
object
brand
object
brands
object[]
read-only
connection_id
integer

A numeric connection ID

Example:

10

shipping_method
object
requested_shipping_method_id
integer

ID of the requested shipping method

Example:

768

requested_shipping_method
object
shipment_count
integer
read-only

Shipment count

Example:

1

invoice_count
integer
read-only

Invoice count

Example:

1

bill_to
object
sold_to
object
ship_to
object
ship_from
object
return_to
object
allow_shipping_label_generation
boolean

true: Automatically generates shipping labels based on the carrier | false: Does not support generation of shipping labels

Example:

true

subtotal_charged
string
read-only

Subtotal amount excluding shipping

Example:

"25.96"

shipping_charged
string<decimal>

Shipped charged

Example:

"2.99"

is_gift
boolean

true: Order is a gift | false: Order is not a gift

Example:

false

gift_fee
string<decimal> | null

Gift fee (if applicable)

Example:

null

is_replacement
boolean

true: order is a replacement | false: order is not a replacement

Example:

false

status
string
read-only

Order status

Minimum string length: 1
Example:

"open"

currency
object
is_acknowledged
boolean
read-only

true: Order is acknowledged | false: Order is not acknowledged

Example:

false

acknowledged_at
string<date-time> | null

Time of order acknowledgement (UTC format)

Example:

"2022-08-01T12:00:00Z"

fulfill_by
string
read-only

Time when order will be completely fulfilled (UTC format)

Example:

"2022-12-19T03:59:59Z"

fulfilled_at
string<date-time> | null

Time of order fulfillment (UTC format)

Example:

null

closed_at
string<date-time>
read-only

Time of complete order fulfillment (UTC format)

Example:

null

received_at
string<date-time>
read-only

Time of when order was received (UTC format)

Example:

null

is_on_hold
boolean
read-only

true: Order is on hold | false: Order is not on hold

Example:

false

pickup_on
string<date> | null

Time of when order was picked up (UTC format)

Example:

null

on_hold_at
string<date-time> | null

Time of when order got placed on hold (UTC format)

Example:

null

on_hold_until
string<date> | null

Date till when the order will be on hold

Example:

null

backordered_until
string<date-time> | null

Time till when product or order is backordered (UTC format)

Example:

null

backorder_acknowledged_at
string<date-time> | null

Time of backorder acknowledgement (UTC format)

Example:

null

canceled_at
string<date-time> | null

Time of order cancellation (UTC format)

Example:

null

updated_at
string<date-time>
read-only

Time of order update (UTC format)

Example:

"2022-08-03T17:45:11Z"

order_lines
object[]
read-only
cancels
object[]
read-only
shipments
object[]
read-only
attachments
object[]
read-only
memos
object[]
read-only
memos_count
integer
read-only

Total memos

Example:

1

unread_memos_count
integer
read-only

Number of unread memos

Example:

0

tags
object[]
read-only
gift_message
string
read-only

Gift message

Example:

"Gift"

fill_time
string<decimal> | null

Fill time

Example:

null

invoices
object[]
read-only
signature
enum<string> | null

Represents whether signature is required

Available options:
required,
not_required,
adult
Example:

null

rmas
object[]
read-only
credits
object[]
read-only
order_batches
object[]
read-only
metadata
object[]
read-only
connection_shipping_provider_account
object
is_priority
boolean

true: Priority order | false: Not a priority order

Example:

false

priority_user
object
envelopes
object[]
read-only